SYD-ELF(1)

# NAME

syd-elf - print executable file information

# SYNOPSIS

*syd-elf* _[-36dhpstxX]_ _binary|script_

# DESCRIPTION

Given a binary, print file name and ELF information.

Given a script, print file name and "SCRIPT".

The information line is a list of fields delimited by colons.

# OPTIONS

|[ *-h*
:< Display help and exit.

|[ *-3*
:< Exit with success if the given binary is 32-bit.

|[ *-6*
:< Exit with success if the given binary is 64-bit.

|[ *-d*
:< Exit with success if the given binary is dynamically linked.

|[ *-s*
:< Exit with success if the given binary is statically linked.

|[ *-p*
:< Exit with success if the given binary is a Position Independent Executable (PIE).

|[ *-t*
:< Print the type of the file as an abbreviation.

|[ *-x*
:< Exit with success if the given executable is a script.

|[ *-X*
:< Exit with success if the given binary has executable stack.

# SEE ALSO

_syd_(1), _syd_(2), _syd_(5), _syd-ldd(1), _ldd_(1)

*syd* homepage: https://sydbox.exherbolinux.org/

# AUTHORS

Maintained by Ali Polatel. Up-to-date sources can be found at
https://gitlab.exherbo.org/sydbox/sydbox.git and bugs/patches can be
submitted to https://gitlab.exherbo.org/groups/sydbox/-/issues. Discuss
in #sydbox on Libera Chat.
