SYD-LDD(1)

# NAME

syd-ldd - print shared object dependencies in a secure way

# SYNOPSIS

*syd-ldd* _[option]..._ _file..._

# DESCRIPTION

The *syd-ldd* utility is meant to be used as a secure alternative to _ldd_(1).
It creates a syd sandbox and runs _ldd_(1) under it with restricted
privileges.

# INVOCATION

*syd-ldd* utility is equivalent to invoking the following command:

```
syd
	-pimmutable
	-msandbox/read:on
	-msandbox/stat:off
	-msandbox/exec:on
	-msandbox/write:on
	-msandbox/net:on
	-msandbox/lock:on
	-mallow/read+/etc/ld-*.path
	-mallow/read+/etc/locale.alias
	-mallow/read+/usr/share/locale*/**/*.mo
	-mallow/read+/usr/share/locale*/locale.alias
	-mallow/read+/usr/lib*/locale*/locale-archive
	-mallow/read+/usr/lib*/**/gconv-modules*
	-mallow/read+/usr/**/LC_{ALL,COLLATE,CTYPE,IDENTIFICATION,MESSAGES}
	-mallow/read+/**/*.so.[0-9]*
	-mallow/exec+/lib/**/ld-linux*.so.[0-9]
	-mallow/exec+/usr/lib*/**/ld-linux*.so.[0-9]
	-mallow/write+/dev/null
	-mallow/lock/read+/
	-mallow/lock/write+/dev/null
	-mallow/read,write+/dev/tty
	-mallow/read,exec+/path/to/ldd
	/path/to/ldd -- args...
```

# SEE ALSO

_syd_(1), _syd_(2), _syd_(5), _ldd_(1)

*syd* homepage: https://sydbox.exherbolinux.org/

# AUTHORS

Maintained by Ali Polatel. Up-to-date sources can be found at
https://gitlab.exherbo.org/sydbox/sydbox.git and bugs/patches can be
submitted to https://gitlab.exherbo.org/groups/sydbox/-/issues. Discuss
in #sydbox on Libera Chat.
